Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Firefox-57 (Quantum) client-side decorations
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Juippisi
Apprentice
Apprentice


Joined: 30 Sep 2005
Posts: 255
Location: /home

PostPosted: Mon Nov 20, 2017 11:25 am    Post subject: Firefox-57 (Quantum) client-side decorations Reply with quote

Hey,

with the FRESH update to Firefox, Mozilla team has dropped a lot of support for customization. One thing that bothered me was the inability to merge titlebar with tab bar (the default behaviour in Chromium-based browsers). However, a patch has been written and its being applied to every user at least in Fedora and OpenSUSE.

https://www.reddit.com/r/linux/comments/7dre58/you_can_enable_client_side_decoration_in_firefox/

So I just wanted to point out how easy it is in Gentoo-based systems to apply the same patch. Download mozilla-bmo1399611-csd.patch from OpenSUSEs build service, or Fedoras package database, or the bug report.
https://build.opensuse.org/package/show/mozilla/firefox57
https://apps.fedoraproject.org/packages/firefox/overview/
https://bugzilla.mozilla.org/show_bug.cgi?id=1399611

Just place the patch in /etc/portage/patches/www-client/firefox-57.0/ and compile Firefox normally. Open about:config in Firefox, set widget.allow-client-side-decoration to true and restart Firefox.

Works with 57.0 from Gentoo's main portage. Maybe this could be included in official Gentoo builds as well, since natively this feature is coming in Firefox-59.
https://i.imgur.com/P2u0uaL.png
Back to top
View user's profile Send private message
AndrewAmmerlaan
Tux's lil' helper
Tux's lil' helper


Joined: 25 Jun 2014
Posts: 125
Location: Lent

PostPosted: Mon Dec 04, 2017 4:45 pm    Post subject: Reply with quote

Awesome :D , I like how this creates more room for the actual webpage.

I wonder if something similar could work for thunderbirds tab bar, as it is a Mozilla application as well.

[EDIT] Nah, nevermind, can't seem to get it to work for thunderbird.
_________________
OS: Gentoo KDE x86_64 (~amd64, 4.17.6-gentoo)
Name: Toshiba Satellite L850-1KT
GPU: AMD Radeon HD 7670M
CPU: Intel Core i7 3630QM
Full Specifications: https://tinyurl.com/k9sucx9 (Upgraded RAM: 16GB)
Back to top
View user's profile Send private message
Juippisi
Apprentice
Apprentice


Joined: 30 Sep 2005
Posts: 255
Location: /home

PostPosted: Tue Jan 30, 2018 5:16 pm    Post subject: Reply with quote

For 58, you need 3 patches to enable this feature. They can be found from the links above (just change 57 to 58) or you can download them all here,
https://github.com/perfect7gentleman/pg_overlay/blob/master/www-client/firefox/files/opensuse-kde-58/mozilla-enable-csd.patch
https://github.com/perfect7gentleman/pg_overlay/blob/master/www-client/firefox/files/opensuse-kde-58/mozilla-bmo256180.patch
https://github.com/perfect7gentleman/pg_overlay/blob/master/www-client/firefox/files/fedora-patchset-58/mozilla-1196777.patch

Grab the following files from the Fedora package if above links stop working:
mozilla-1399611.patch
mozilla-1196777.patch
mozilla-256180.patch

Also the preference in about:config has changed to 'browser.tabs.drawInTitlebar' and you need to set it TRUE.

Works beatifully with Firefox-58.0.1. CSD should come natively in Firefox-59, but until then, happy patching!
Back to top
View user's profile Send private message
Juippisi
Apprentice
Apprentice


Joined: 30 Sep 2005
Posts: 255
Location: /home

PostPosted: Sat Apr 28, 2018 7:40 am    Post subject: Reply with quote

Spent few days trying to get this to work in 59. It should have been enabled natively in 59, but it wasnt due to many bugs ( https://bugzilla.mozilla.org/show_bug.cgi?id=1440461 )

I searched for patches to enable it with 59, and this is the one used by many distributions:
https://build.opensuse.org/package/view_file/mozilla/firefox59/mozilla-enable-csd.patch?expand=1

However, I couldnt get CSD to work with that patch. I even tried writing my own where regardless of XDG_CURRENT_DESKTOP setting it would always return CSD_SUPPORT_FULL, but that didnt work either. Then I decided to make an ebuild for firefox-60.0_beta15 which has CSD enabled by default, again. Here's the changes I made,
Code:

--- /usr/portage/www-client/firefox/firefox-59.0.2.ebuild   2018-04-27 18:29:45.788595877 +0300
+++ firefox-60_beta15.ebuild   2018-04-27 15:20:03.689000808 +0300
@@ -42,7 +42,7 @@
 IUSE="bindist eme-free +gmp-autoupdate hardened hwaccel jack +screenshot selinux test"
 RESTRICT="!bindist? ( bindist )"
 
-SRCHASH=239e434d6d2b8e1e2b697c3416d1e96d48fe98e5
+SRCHASH=f2ac3383fb97
 SDIR="release"
 [[ ${PV} = *_beta* ]] && SDIR="beta"
 
@@ -116,6 +116,8 @@
 }
 
 src_prepare() {
+   find "${WORKDIR}/firefox" -name '2004_fix_lto_builds.patch' -delete || die
+
    eapply "${WORKDIR}/firefox"
 
    # Enable gnomebreakpad


And CSD works again! Cant truly live without it once youve enabled it :)
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19053
Location: here

PostPosted: Sat Apr 28, 2018 10:49 am    Post subject: Reply with quote

In my overlay I have firefox-kde-opensuse version of firefox, and for enable CSD seems that should apply mozilla-bmo1005535.patch and mozilla-bmo256180.patch (you can find patches here).
As you see I disable these patches because I don't like CSD but I've tried
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum